<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 26/06/19
 * Time: 12.53
 */

namespace FiloBlu\Rma\Model\ResourceModel\EasyReturn;


class Collection extends \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection
{
    /**
     * Resource initialization.
     */
    protected $_idFieldName = 'id';

    protected $_eventPrefix = 'filoblu_rma_easyreturn_grid_collection';

    protected $_eventObject = 'filoblu_rma_easyreturn_collection';

    protected function _construct()
    {
        $this->_init('FiloBlu\Rma\Model\EasyReturn','FiloBlu\Rma\Model\ResourceModel\EasyReturn');
    }

    public function getSelectCountSql()
    {
        $countSelect = parent::getSelectCountSql();
        $countSelect->reset(\Zend_Db_Select::GROUP);
        return $countSelect;
    }

    protected function _toOptionArray($valueField = 'id', $labelField = 'id', $additional = [])
    {
        return parent::_toOptionArray($valueField, $labelField, $additional);
    }

    public function addFieldToSearchFilter($field, $condition = null)
    {
        $field = $this->_getMappedField($field);
        $this->_select->orWhere($this->_getConditionSql($field, $condition));
        return $this;
    }

}